Subject: bug#71350: 30.0.50; kill-this-buffer no longer works interactively

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Jun 2024 17:38:41 +0300

tags 71350 notabug wontfix
close 71350
thanks

> Cc: [email-masked]
> Date: Tue, 04 Jun 2024 09:42:53 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Spencer Bronson <[email-masked]> writes:
> 
> > Some change in the past month has altered the behavior of
> > "kill-this-buffer" such that it no longer seems to work interactively.
> > As recently as a month ago invoking M-x kill-this-buffer or binding
> > kill-this-buffer to a key chord would usually kill the currently focused
> > buffer.  After recompiling on June 1st, invoking "kill-this-buffer" this
> > way returns the message "kill-this-buffer must be bound to an event with
> > parameters" and does nothing further.  It still works when invoked from
> > the menu bar.
> 
> As stated in the doc string, kill-this-buffer cannot be reliably invoked
> but from the menu bar.

Indeed, and so I'm closing this non-bug.